> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get VM

> Get a VM instance

Get detailed information about a specific VM instance, including:

* Instance configuration
* Network interfaces
* Attached disks
* State information
* SSH access details


## OpenAPI

````yaml GET /projects/{projectId}/vms/{id}
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /projects/{projectId}/vms/{id}:
    get:
      tags: []
      summary: Get VM
      description: Get a VM instance
      parameters:
        - name: projectId
          in: path
          description: Project id
          required: true
          example: e91bb876-3358-466d-a49a-4fb524629906
          schema:
            type: string
            format: uuid
        - name: id
          in: path
          description: VM id
          required: true
          example: b3e571f6-c87d-4135-8081-ab219e92544e
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  project_id:
                    type: string
                  type:
                    type: string
                  state:
                    type: string
                  ssh_destination:
                    type: string
                  created_at:
                    type: string
                  updated_at:
                    type: string
                  name:
                    type: string
                  location:
                    type: string
                  commitment_period:
                    type: integer
                  commitment_end:
                    type: string
                  disks:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        type:
                          type: string
                        size:
                          type: string
                        location:
                          type: string
                        block_size:
                          type: integer
                        created_at:
                          type: string
                        updated_at:
                          type: string
                        serial_number:
                          type: string
                        attachment_type:
                          type: string
                        mode:
                          type: string
                  network_interfaces:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        network:
                          type: string
                        subnet:
                          type: string
                        interface_type:
                          type: string
                        mac_address:
                          type: string
                        ips:
                          type: array
                          items:
                            type: object
                            properties:
                              private_ipv4:
                                type: object
                                properties:
                                  address:
                                    type: string
                                required:
                                  - address
                              public_ipv4:
                                type: object
                                properties:
                                  address:
                                    type: string
                                  id:
                                    type: string
                                  type:
                                    type: string
                                required:
                                  - address
                                  - id
                                  - type
                  host_channel_adapters:
                    type: array
                    items:
                      type: string
                  virtualization_features:
                    type: object
                    properties:
                      nested_virtualization:
                        type: boolean
                    required:
                      - nested_virtualization
                  instance_template_id:
                    type: string
                  instance_group_id:
                    type: string
                  reservation_id:
                    type: string
                required:
                  - id
                  - project_id
                  - type
                  - state
                  - ssh_destination
                  - created_at
                  - updated_at
                  - name
                  - location
                  - commitment_period
                  - commitment_end
                  - disks
                  - network_interfaces
                  - host_channel_adapters
                  - virtualization_features
                  - instance_template_id
                  - instance_group_id
                  - reservation_id
              examples:
                '1':
                  summary: Success
                  value:
                    id: b3e571f6-c87d-4135-8081-ab219e92544e
                    project_id: 3291380a-19e9-4892-a139-2fa92aa740e2
                    type: l40s-48gb.1x
                    state: STATE_RUNNING
                    ssh_destination: ':0'
                    created_at: '2024-06-16T15:52:41Z'
                    updated_at: '2024-06-16T15:52:53Z'
                    name: mkinf-node
                    location: us-east1-a
                    commitment_period: 0
                    commitment_end: ''
                    disks:
                      - id: 52822513-e425-4be9-8dd8-5c21d561ce11
                        name: OS-disk-b3e571f6-c87d-4135-8081-ab219e92544e
                        type: persistent-ssd
                        size: 128GiB
                        location: vaeq-cu
                        block_size: 0
                        created_at: '2024-06-16T15:52:43Z'
                        updated_at: '2024-06-16T15:52:44Z'
                        serial_number: B74EEFE8EFA0988490E
                        attachment_type: os
                        mode: read-write
                    network_interfaces:
                      - id: fdf58fb1-0185-40f2-aa20-b620e8a8562d
                        name: default-network-interface
                        network: 695b751c-2eaa-4e8b-8eb2-84cb367a69fe
                        subnet: 7ceecd34-2631-4857-ad82-ceb9dfd09425
                        interface_type: Ethernet
                        mac_address: 2e:2f:ae:ef:ae:16
                        ips:
                          - private_ipv4:
                              address: 172.27.23.237
                            public_ipv4:
                              address: 204.52.24.84
                              id: e130674a-c05e-4345-b8a4-7928c6649574
                              type: dynamic
                    host_channel_adapters: []
                    virtualization_features:
                      nested_virtualization: false
                    instance_template_id: ''
                    instance_group_id: ''
                    reservation_id: ''
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````